Multiboot not updating osmc

I can’t update OSMC. I have tried all suggestions. This is my last resource. Thanks for any help.

http://paste.osmc.io/atezaqawow

Is this a NOOBS install?

Yes it is

I have used this one http://www.multibootpi.com/builds/pi1-pi-zero-retropie-v4-0-2-osmc-2016-07-1-dual-boot/

That looks “more” than just a plain NOOBS install! so not sure if this is supported.

Looking at the logs first errors started with X11

Setting up x11-common (1:7.7+7) ...
/var/lib/dpkg/info/x11-common.postinst: 17: exec: /usr/share/debconf/frontend: not found
dpkg: error processing package x11-common (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of libice6:armhf:
 libice6:armhf depends on x11-common; however:
  Package x11-common is not configured yet.

While later than you have issue with the Kernel

Setting up rbp1-image-4.4.16-1-osmc (1) ...
dpkg (subprocess): unable to execute installed post-installation script (/var/lib/dpkg/info/rbp1-image-4.4.16-1-osmc.postinst): No such file or directory
dpkg: error processing package rbp1-image-4.4.16-1-osmc (--configure):
 subprocess installed post-installation script returned error exit status 2

Which indicates that you are using a very old Kernel which may not have a upgrade path to the current version.

So I believe you are best off trying your luck for help on the myltiboot webpage

Got it. Thank you

I fixed part of the problem. could you check this log: http://paste.osmc.io/epitoxorew

The kernel issue was solved updating retropie first

Thanks in advance

Still looks similar

Log started: 2018-01-25  00:38:57
Preparing to unpack .../dpkg_1.17.27_armhf.deb ...
Unpacking dpkg (1.17.27) over (1.17.27) ...
Setting up dpkg (1.17.27) ...
Setting up rbp1-image-4.4.16-1-osmc (1) ...
dpkg (subprocess): unable to execute installed post-installation script (/var/lib/dpkg/info/rbp1-image-4.4.16-1-osmc.postinst): No such file or directory
dpkg: error processing package rbp1-image-4.4.16-1-osmc (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up rpcbind (0.2.1-6+deb8u2) ...
/var/lib/dpkg/info/rpcbind.postinst: 30: /var/lib/dpkg/info/rpcbind.postinst: update-rc.d: not found
dpkg: error processing package rpcbind (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 rbp1-image-4.4.16-1-osmc
 rpcbind
Log ended: 2018-01-25  00:39:18

Log started: 2018-01-25  02:13:40
Preparing to unpack .../libc6_2.19-18+deb8u10_armhf.deb ...
/var/lib/dpkg/tmp.ci/preinst: 17: exec: /usr/share/debconf/frontend: not found
dpkg: error processing archive /var/cache/apt/archives/libc6_2.19-18+deb8u10_armhf.deb (--unpack):
 subprocess new pre-installation script returned error exit status 127
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.19-18+deb8u10_armhf.deb
Log ended: 2018-01-25  02:13:44